package gitpb

func (repo *Repo) DevelHash() string {
	brname := repo.GetDevelBranchName()
	refname := "refs/heads/" + brname
	all := repo.Tags.All()
	for all.Scan() {
		tag := all.Next()
		// log.Info("repo tag", tag.GetHash(), tag.GetRefname())
		if tag.GetRefname() == refname {
			return tag.GetHash()
		}
	}
	return ""
}
